Claim a task (tenant:access)
POST /api/workflow/v1/tasks/{instanceId}/claim
Module: Workflow · operationId: claimTask · Tag: Tasks · Auth: access token (Authorization: Bearer <accessToken>)
The caller takes the open task assigned to them (history action CLAIMED). A task claimed by
someone else is 409 claimed_by_other, a task that is not open 409 invalid_state, a busy instance
409 locked, a task not assigned to the caller 403 not_assigned, an unknown one 404. If the
caller is the recipient of an open inquiry, the inquiry is closed.
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
instanceId |
path | string (uuid) | yes | Instance id (guid) |
Responses
- 200 Claimed (no body)
- 401 Missing or invalid token (
unauthorized) (application/json) - 403 Error (
application/json) - 404 Error (
application/json) - 409 Error (
application/json)
Example request
curl -X POST 'https://api.mbcom.cloud/api/workflow/v1/tasks/3f9c2a1e-8b7d-4c6e-a5f4-1d2b3c4e5f60/claim' \
-H "Authorization: Bearer $ACCESS_TOKEN"